


<script>
    import { onMount } from 'svelte';
    import Scatterplot from "./_ex_7_scatterplot.svelte";
    let ready;
    let data_full=[];
    onMount(async () => {
    const data_await = await fetch('/data/gapminder.json');
    data_full=await data_await.json();
    ready=true;
    });
    //
</script>

{#if ready } 
<Scatterplot data={data_full[0].countries} />
{:else}
<p>Loading...</p>
{/if}